%global _empty_manifest_terminate_build 0
%global with_doc 0


Name:       python-os-xenapi
Version:    0.3.4
Release:    4
Summary:    XenAPI library for OpenStack projects
License:    Apache-2.0
URL:        http://launchpad.net/os-xenapi/
Source0:    http://tarballs.openstack.org/os-xenapi/os-xenapi-0.3.4.tar.gz
BuildArch:  noarch

BuildRequires:  openstack-macros

%package -n python3-os-xenapi
Summary:    XenAPI client library for OpenStack projects
%{?python_provide:%python_provide python3-os-xenapi}

BuildRequires:  python3-devel
BuildRequires:  python3-pbr >= 2.0.0
BuildRequires:  python3-pip
BuildRequires:  python3-mock
BuildRequires:  python3-setuptools
BuildRequires:  python3-babel
BuildRequires:  python3-paramiko == 2.7.2
# Required for tests
BuildRequires:  python3-oslo-concurrency
BuildRequires:  python3-oslo-i18n
BuildRequires:  python3-oslo-log
BuildRequires:  python3-oslotest
BuildRequires:  python3-os-testr
BuildRequires:  python3-testrepository
BuildRequires:  python3-testscenarios
BuildRequires:  python3-testtools
BuildRequires:  python3-eventlet >= 0.18.2

Requires:   python3-eventlet >= 0.18.2
Requires:   python3-oslo-concurrency >= 3.26.0
Requires:   python3-oslo-log >= 3.36.0
Requires:   python3-oslo-utils >= 3.33.0
Requires:   python3-oslo-i18n >= 3.15.3
Requires:   python3-six >= 1.10.0
Requires:   python3-pbr >= 2.0.0
Requires:   python3-babel
Requires:   python3-paramiko == 2.7.2

%description -n python3-os-xenapi
XenAPI library for OpenStack projects.

%package -n python3-os-xenapi-tests
Summary:    Tests for XenAPI library for OpenStack projects
Requires:   python3-os-xenapi = %{version}-%{release}
Requires:   python3-oslotest
Requires:   python3-os-testr
Requires:   python3-testrepository
Requires:   python3-testscenarios
Requires:   python3-testtools

%description -n python3-os-xenapi-tests
XenAPI library for OpenStack projects.


%if 0%{?with_doc}
%package -n python-os-xenapi-doc
Summary:    Documentation for XenAPI library for OpenStack projects

BuildRequires: python3-sphinx
BuildRequires: python3-oslo-sphinx

%description -n python-os-xenapi-doc
XenAPI library for OpenStack projects.

This package contains the documentation.
%endif

%description
XenAPI library for OpenStack projects.


%prep
%autosetup -n os-xenapi-%{version} -p1

# Let's handle dependencies ourseleves
%py_req_cleanup

%build
%{py3_build}

%if 0%{?with_doc}
# generate html docs
%{py3_bin} setup.py build_sphinx
# remove the sphinx-build-%{pyver} leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%install
%{py3_install}
# Remove the dom0 bits, we're not supporting them
rm -rf %{buildroot}%{python3_sitelib}/os_xenapi/dom0
# Create a versioned binary for backwards compatibility until everything is pure py3
ln -s xenapi_bootstrap %{buildroot}%{_bindir}/xenapi_bootstrap-3


%check
export PYTHON=python3

ostestr --color --slowest --blacklist_file exclusion_py3.txt

%files -n python3-os-xenapi
%license LICENSE
%{python3_sitelib}/os_xenapi
%{python3_sitelib}/os_xenapi-*.egg-info
%{_bindir}/xenapi_bootstrap
%{_bindir}/xenapi_bootstrap-3
%exclude /%{python3_sitelib}/os_xenapi/tests

%files -n python3-os-xenapi-tests
%{python3_sitelib}/os_xenapi/tests

%if 0%{?with_doc}
%files -n python-os-xenapi-doc
%license LICENSE
%doc doc/build/html README.rst
%endif

%changelog
* Thu Mar 02 2023 OpenStack_SIG <openstack@openeuler.org> - 0.3.4-4
- Fix install error

* Wed Aug 03 2022 huangtianhua <huangtianhua@huawei.com> - 0.3.4-3
- Fix package installation error

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 0.3.4-2
- DESC: delete -S git from %autosetup, and delete BuildRequires git

* Thu Jan 13 2021 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
